Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 340311

Summary: Please stabilise x11-libs/openmotif-2.2.3-r10
Product: Gentoo Linux Reporter: Ulrich Müller <ulm>
Component: New packagesAssignee: Ulrich Müller <ulm>
Status: RESOLVED FIXED    
Severity: major Keywords: STABLEREQ
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Ulrich Müller gentoo-dev 2010-10-10 05:49:15 UTC
This follows the buffer overflow issue of bug 340249, therefore asking for immediate stabilisation of openmotif-2.2.3-r10.

x11-libs/openmotif-compat-2.2.3-r1 is moved to x11-libs/openmotif-2.2.3-r10 in SLOT 2.2.
Comment 1 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-10-10 13:00:21 UTC
Does slotting make sense here? I'm encountering a block:

[ebuild  NS   ] x11-libs/openmotif-2.2.3-r10 [2.3.3] 5,050 kB
[blocks B     ] <=x11-libs/openmotif-2.3.0 ("<=x11-libs/openmotif-2.3.0" is blocking x11-libs/openmotif-2.3.3)

Total: 2 packages (2 in new slots), Size of downloads: 5,515 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'x11-libs/openmotif-2.3.3', 'nomerge') pulled in by
    x11-libs/openmotif required by ('installed', '/', 'sci-biology/ncbi-tools-20090809', 'nomerge')

  ('ebuild', '/', 'x11-libs/openmotif-2.2.3-r10', 'merge') pulled in by
    openmotif:2.2

I wouldn't want to delay the stabilization for the security issue. On the other hand, we shouldn't make those strange blocks appear in stable, and also the security upgrade path should be as simple as possible.
Comment 2 Ulrich Müller gentoo-dev 2010-10-10 13:20:14 UTC
(In reply to comment #1)
> Does slotting make sense here? I'm encountering a block:

Sorry, I had removed only one direction of mutual blockers and overlooked the other one. It should be fixed now.

Comment 3 David Abbott gentoo-dev 2010-10-10 22:21:58 UTC
Tested on x86 all good here.
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2010-10-11 07:14:36 UTC
amd64 done
Comment 5 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-10-12 08:19:07 UTC
x86 stable, thanks David, closing